## r-cran-tgp 2.4

=== DESCRIPTION ===
Package: tgp
Title: Bayesian Treed Gaussian Process Models
Version: 2.4-23
Date: 2024-08-22
Authors@R: c(person(given = c("Robert", "B."),
                    family = "Gramacy",
                    role = c("aut", "cre"),
                    email = "rbg@vt.edu"),
             person(given = c("Matt", "A."),
                    family = "Taddy",
                    role = "aut"))
Depends: R (>= 2.14.0)
Imports: maptree
Suggests: MASS
Description: Bayesian nonstationary, semiparametric nonlinear regression 
 and design by treed Gaussian processes (GPs) with jumps to the limiting 
 linear model (LLM).  Special cases also implemented include Bayesian 
 linear models, CART, treed linear models, stationary separable and 
 isotropic GPs, and GP single-index models.  Provides 1-d and 2-d plotting functions 
 (with projection and slice capabilities) and tree drawing, designed for 
 visualization of tgp-class output.  Sensitivity analysis and 
 multi-resolution models are supported. Sequential experimental 
 design and adaptive sampling functions are also provided, including ALM, 
 ALC, and expected improvement.  The latter supports derivative-free
 optimization of noisy black-box functions.  For details and tutorials, 
 see Gramacy (2007) <doi:10.18637/jss.v019.i09> and Gramacy & Taddy (2010) 
 <doi:10.18637/jss.v033.i06>.  
Maintainer: Robert B. Gramacy  <rbg@vt.edu>
License: LGPL
URL: https://bobby.gramacy.com/r_packages/tgp/
NeedsCompilation: yes
Packaged: 2024-08-22 18:33:39 UTC; bobby
Author: Robert B. Gramacy [aut, cre],
  Matt A. Taddy [aut]
Repository: CRAN
Date/Publication: 2024-09-03 14:30:02 UTC

## r-cran-tgp 2.4-9

=== debian/changelog ===
r-cran-tgp (2.4-9-1) unstable; urgency=low

  * Initial release (Closes: #712897)

 -- Pablo Oliveira <pablo@sifflez.org>  Thu, 20 Jun 2013 18:52:00 +0200

=== debian/control ===
Source: r-cran-tgp
Section: gnu-r
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Pablo Oliveira <pablo@sifflez.org>
Build-Depends: r-base-dev, xvfb, xauth, xfonts-base, r-base-core,
 debhelper (>> 4.1.0), cdbs, dpkg-dev (>= 1.16.1)
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/debian-science/packages/r-cran-tgp.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/r-cran-tgp.git
Homepage: http://cran.r-project.org/web/packages/tgp/

Package: r-cran-tgp
Architecture: any
Depends: ${R:Depends}, ${shlibs:Depends}
Description: GNU R package "tgp: Bayesian treed Gaussian process models"
 Bayesian nonstationary, semiparametric nonlinear regression and design by
 treed Gaussian processes (GPs) with jumps to the limiting linear model (LLM).
 Special cases also implemented include Bayesian linear models, CART, treed
 linear models, stationary separable and isotropic GPs, and GP single-index
 models.  Provides 1-d and 2-d plotting functions (with projection and slice
 capabilities) and tree drawing, designed for visualization of tgp-class
 output.  Sensitivity analysis and multi-resolution models are supported.
 Sequential experimental design and adaptive sampling functions are also
 provided, including ALM, ALC, and expected improvement. The latter supports
 derivative-free optimization of noisy black-box functions.

=== debian/watch ===
# watch control file for uscan
version=3
http://cran.r-project.org/src/contrib/tgp_(.+).tar.gz

## r-cran-tgp 2.4-14

=== debian/changelog ===
r-cran-tgp (2.4-14-4) unstable; urgency=medium

  * Pablo Oliveira confirmed to orphan the package
  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 10:25:41 +0200

r-cran-tgp (2.4-14-3) unstable; urgency=medium

  * Team upload.
  * Secure URI in watch file
  * cme fix dpkg-control
  * debhelper 11
  * Convert from cdbs to dh-r
  * Canonical Homepage for CRAN packages
  * Testsuite: autopkgtest-pkg-r
  * Enhance short description
  * Document binary data file in README.source

 -- Andreas Tille <tille@debian.org>  Sun, 11 Mar 2018 19:26:19 +0100

r-cran-tgp (2.4-14-2) unstable; urgency=low

  * Fix r-cran-maptree dependencies (closes: #832912)
  * Use misc:depends as recommended by lintian

 -- Pablo Oliveira <pablo@sifflez.org>  Fri, 29 Jul 2016 17:10:00 +0200

r-cran-tgp (2.4-14-1) unstable; urgency=low

  * Upgrade to 2.4-14 from upstream (closes: #820866)
  * Update dependencies (r-cran-tgp now depends on r-cran-maptree)
  * Ensure hardening flags used during build
  * Upgrade policy

 -- Pablo Oliveira <pablo@sifflez.org>  Tue, 3 May 2016 14:53:00 +0200

=== debian/control ===
Source: r-cran-tgp
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-maptree
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tgp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tgp.git
Homepage: https://cran.r-project.org/package=tgp

Package: r-cran-tgp
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Bayesian treed Gaussian process models
 Bayesian nonstationary, semiparametric nonlinear regression and design by
 treed Gaussian processes (GPs) with jumps to the limiting linear model (LLM).
 Special cases also implemented include Bayesian linear models, CART, treed
 linear models, stationary separable and isotropic GPs, and GP single-index
 models.  Provides 1-d and 2-d plotting functions (with projection and slice
 capabilities) and tree drawing, designed for visualization of tgp-class
 output.  Sensitivity analysis and multi-resolution models are supported.
 Sequential experimental design and adaptive sampling functions are also
 provided, including ALM, ALC, and expected improvement. The latter supports
 derivative-free optimization of noisy black-box functions.

## r-cran-tgp 2.4-17

=== debian/changelog ===
r-cran-tgp (2.4-17-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2020 11:43:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-maptree
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tgp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tgp.git
 Homepage: https://cran.r-project.org/package=tgp
+Rules-Requires-Root: no
 
 Package: r-cran-tgp
 Architecture: any

## r-cran-tgp 2.4-19

=== debian/changelog ===
r-cran-tgp (2.4-19-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 14:35:00 +0200

r-cran-tgp (2.4-18-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.4-18
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 28 May 2022 12:24:47 +0530

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-tgp
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tgp
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tgp.git
+Homepage: https://cran.r-project.org/package=tgp
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-maptree
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tgp
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tgp.git
-Homepage: https://cran.r-project.org/package=tgp
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-tgp
 Architecture: any

## r-cran-tgp 2.4-20

=== debian/changelog ===
r-cran-tgp (2.4-20-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2022 14:35:23 +0100

## r-cran-tgp 2.4-21

=== debian/changelog ===
r-cran-tgp (2.4-21-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2023 15:01:15 +0100

## r-cran-tgp 2.4-22

=== debian/changelog ===
r-cran-tgp (2.4-22-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 09:38:15 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tgp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tgp.git
 Homepage: https://cran.r-project.org/package=tgp
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/tgp_(.+).tar.gz

## r-cran-tgp 2.4-23

=== debian/changelog ===
r-cran-tgp (2.4-23-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Oct 2024 10:05:46 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tgp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tgp.git
 Homepage: https://cran.r-project.org/package=tgp
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
